> ## Documentation Index
> Fetch the complete documentation index at: https://docs.open.cx/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieve a paginated list of all website datasources for your organization. Use when driving the website crawler programmatically — queueing crawls, inspecting jobs, and curating…

# List website datasources



## OpenAPI

````yaml get /crawl
openapi: 3.1.0
info:
  title: OpenCX API
  description: >

    OpenCX is an AI-powered, all-in-one platform for customer support and
    outbound communications.


    Use this API to manage your OpenCX organization's AI agents, actions,
    conversations, contacts, and more.


    To get started, generate a new API key from the dashboard.


    ## Authentication

    All API endpoints require authentication using a Bearer token. You can
    generate an API key from your OpenCX dashboard.


    ## Rate Limiting

    API requests are rate limited to ensure fair usage. The current limits are:

    - 100 requests per minute for standard endpoints

    - 1000 requests per minute for streaming endpoints


    ## Error Handling

    The API uses standard HTTP status codes and returns detailed error messages
    in the response body.
  version: 1.0-beta
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.open.cx
    description: Production
security:
  - bearerAuth: []
paths:
  /crawl:
    get:
      tags:
        - Crawl
      summary: List website datasources
      description: >-
        Retrieve a paginated list of all website datasources for your
        organization.
      operationId: listCrawlDatasources
      parameters:
        - schema:
            default: 1
            type: integer
            minimum: 1
            maximum: 9007199254740991
          in: query
          name: page
          required: false
        - schema:
            default: 20
            type: integer
            minimum: 1
            maximum: 100
          in: query
          name: limit
          required: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CrawlDatasourceListResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDto'
components:
  schemas:
    CrawlDatasourceListResponse:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/CrawlDatasourceListResponse'
      type: object
      properties:
        total:
          type: number
        page:
          type: number
        limit:
          type: number
        total_pages:
          type: number
        has_next_page:
          type: boolean
        has_prev_page:
          type: boolean
        data:
          type: array
          items:
            $ref: '#/components/schemas/CrawlDatasourceListItem'
      required:
        - total
        - page
        - limit
        - total_pages
        - has_next_page
        - has_prev_page
        - data
      additionalProperties: false
    ErrorDto:
      type: object
      properties:
        statusCode:
          type: integer
        message:
          type: string
        error:
          type: string
    CrawlDatasourceListItem:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/CrawlDatasourceListItem'
      type: object
      properties:
        id:
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
        url:
          type: string
        display_name:
          type: string
        status:
          type: string
        page_limit:
          anyOf:
            - type: number
            - type: 'null'
        exclude_paths:
          type: array
          items:
            type: string
        include_paths:
          type: array
          items:
            type: string
        crawl_interval_hours:
          anyOf:
            - type: number
            - type: 'null'
        restricted_to_channels:
          type: array
          items:
            $ref: '#/components/schemas/SessionChannel'
          description: >-
            Channels this datasource is restricted to. Empty = available on all
            channels.
        last_crawl_started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
        last_crawl_completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
        error_message:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        page_count:
          type: number
      required:
        - id
        - url
        - display_name
        - status
        - page_limit
        - exclude_paths
        - include_paths
        - crawl_interval_hours
        - restricted_to_channels
        - last_crawl_started_at
        - last_crawl_completed_at
        - error_message
        - created_at
        - updated_at
        - page_count
      additionalProperties: false
    SessionChannel:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/SessionChannel'
      type: string
      enum:
        - web
        - email
        - phone_voice
        - slack
        - sms
        - whatsapp
        - instagram
        - messenger
        - api
        - web_voice
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````